Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tesl
Class UnitCalc

    java.lang.Object
      tesl.UnitCalc

All Implemented Interfaces:
  TagCalculus<Unit>

    public class UnitCalc

extends java.lang.Object
implements TagCalculus<Unit>

A dummy tag calculus on Unit.

Author:
  boulange

Constructor Summary
`UnitCalc()`

Method Summary
`Unit` | `add(Unit a, Unit b)`
`Unit` | `divide(Unit a, Unit b)`
`static Unit` | `do_add(Unit a, Unit b)`
`static Unit` | `do_divide(Unit a, Unit b)`
`static Unit` | `do_multiply(Unit a, Unit b)`
`static Unit` | `do_subtract(Unit a, Unit b)`
`Unit` | `multiply(Unit a, Unit b)`
`Unit` | `subtract(Unit a, Unit b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnitCalc

    public UnitCalc()

Method Detail

### add

    public Unit add(Unit a,
                    Unit b)

  Specified by:
    `add` in interface `TagCalculus<Unit>`

### do_add

    public static Unit do_add(Unit a,
                              Unit b)

### subtract

    public Unit subtract(Unit a,
                         Unit b)

  Specified by:
    `subtract` in interface `TagCalculus<Unit>`

### do_subtract

    public static Unit do_subtract(Unit a,
                                   Unit b)

### multiply

    public Unit multiply(Unit a,
                         Unit b)

  Specified by:
    `multiply` in interface `TagCalculus<Unit>`

### do_multiply

    public static Unit do_multiply(Unit a,
                                   Unit b)

### divide

    public Unit divide(Unit a,
                       Unit b)

  Specified by:
    `divide` in interface `TagCalculus<Unit>`

### do_divide

    public static Unit do_divide(Unit a,
                                 Unit b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD